Avid Now Supports New Mac Pro

Avid Now Supports New Mac Pro

Avid just announced the New Mac Pro has been qualified for use with Avid Media Composer 7.0.3  or 6.5.4.1. Please note that OSX 10.9.1 is qualified but not 10.9.2.  This is great news for anyone that works with Avid Media Composer. Many editors including myself  are on the fence to upgrade to the new Mac Pro. The main reasons seem to be price ad support for widely used post production software. This may be great news for editors working in Avid suites to go back and consider a new a Mac Pro instead of a fully configured iMac.

Before you consider upgrading, please read the PDF carefully and make sure your Mac Pro adheres to Avid’s configuration guidelines.

avidmacpro

You can check out Avid’s Configurations guidelines here in this PDF

Link.

2 Leave a Reply

guest
Filter:
all
Sort by:
latest
Filter:
all
Sort by:
latest

Take part in the CineD community experience